Loading...
Searching...
No Matches
cl::detail::Deleter< Alloc > Class Template Reference

## Public Types

typedef std::allocator_traits< Alloc >::pointer | pointer

## Public Member Functions

| Deleter (const Alloc &alloc, size_type copies)
void | operator() (pointer ptr) const

## Detailed Description

template<class Alloc>
class cl::detail::Deleter< Alloc >

Definition at line 4254 of file opencl.hpp.

## Member Typedef Documentation

## pointer

template<class Alloc>

typedef std::allocator_traits<Alloc>::pointer cl::detail::Deleter< Alloc >::pointer

Definition at line 4260 of file opencl.hpp.

## Constructor & Destructor Documentation

## Deleter()

template<class Alloc>

cl::detail::Deleter< Alloc >::Deleter | ( | const Alloc & | alloc,
|  | size_type | copies )

inline

Definition at line 4262 of file opencl.hpp.

## Member Function Documentation

## operator()()

template<class Alloc>

void cl::detail::Deleter< Alloc >::operator() | ( | pointer | ptr | ) | const

inline

Definition at line 4266 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp